Page MenuHomePhabricator

Headings in json-schema-code-samples have content language direction instead of user language
Closed, ResolvedPublic

Description

In Meta the content language is English. My user language there is Hebrew. If I read pages in the Schema namespace, the mw-json-schema-code-samples panel shows the code samples correctly with ltr direction, but the headings should be rtl, because they are in Hebrew.


Version: unspecified
Severity: normal

Details

Reference
bz60233

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:07 AM
bzimport set Reference to bz60233.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Jan 19 2014, 6:20 PM

This is because it's inside the content element (#mw-content-text), which is .mw-content-ltr. I'm not sure what the best way to address this is. Maybe it could be moved out of the content element. Otherwise, it would need to override it.

Adding the mw-content-(ltr|rtl) class according to the user language to the whole pop-up is probably the right way, but explicit dir="ltr" and class="mw-content-ltr" must be set on the code blocks.

[moving from MediaWiki extensions to Analytics product - see bug 61946]

Amire80 triaged this task as Low priority.Jul 16 2015, 3:50 PM
Amire80 set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 3:50 PM
Ebraminio moved this task from Backlog to Other on the RTL board.Aug 9 2015, 9:19 PM

Change 246260 had a related patch set uploaded (by Legoktm):
Use an indicator for code samples, fix no-JS mode

https://gerrit.wikimedia.org/r/246260

Legoktm claimed this task.Oct 14 2015, 7:57 PM
Legoktm added a subscriber: Legoktm.

Above patches move the code samples out of the content area and into indicators, so the direction is no longer inherited from the content.

Change 246260 merged by jenkins-bot:
Use an indicator for code samples, fix no-JS mode

https://gerrit.wikimedia.org/r/246260

Legoktm closed this task as Resolved.Oct 14 2015, 10:21 PM